Bug 212921 - Graphical drawing is incorrect
Graphical drawing is incorrect
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Francis Kung
http://www.multicians.org/thvv/pie-ch...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-29 23:36 EST by Tom Van Vleck
Modified: 2008-04-02 18:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 18:29:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Van Vleck 2006-10-29 23:36:07 EST
Description of problem:
Just installed fc6, followed instructions to enable Java applets.
A very simple pie chart applet displays all wrong.
See the URL above for an example.
The referenced web page has a pointer to the source for the applet.


Version-Release number of selected component (if applicable):
/usr/bin/java
java version "1.4.2"
gij (GNU libgcj) version 4.1.1 20061011 (Red Hat 4.1.1-30)


How reproducible: always


Steps to Reproduce:
1. Visit http://www.multicians.org/thvv/pie-chart.html in firefox.
2. 
3.
  
Actual results:
The lines that should run from the center of the pie chart to the circumference
are plotted as chords of the circle instead. This leaves a big gray patch in the
center of the circle.


Expected results:
Try the same page on OS X or on Fedora FC5/Firefox 1.5 with Sun Java installed.
 Pie chart displays as expected.  Even Windows can do it, in FF or MSIE.


Additional info:
Comment 1 Thomas Fitzsimmons 2006-10-30 10:02:24 EST
Assigning to Francis Kung.  Francis, can you see if this is fixed on GNU
Classpath CVS HEAD?
Comment 2 Tom Van Vleck 2006-10-30 10:11:14 EST
It appears that the statement

 g.fillArc(pieBorderWidth, pieBorderWidth, pieDiameter, pieDiameter, startDeg,
arcDeg);

is not filling the triangle defined by the end points of the chord and the
center of the circle.  Strange that whatever bug causes this AWT routine to fail
would not cause other failures also. 
Comment 3 Francis Kung 2006-10-30 16:47:56 EST
I can confirm that this bug still exists on the latest GNU Classpath.  Looking
into it...
Comment 4 Francis Kung 2006-10-31 15:50:54 EST
This has been fixed upstream in GNU Classpath CVS.

Note You need to log in before you can comment on or make changes to this bug.